/** PiePlotImpl.java.

	Purpose:
		
	Description:
		
	History:
		5:51:31 PM Jan 13, 2014, Created by jumperchen

Copyright (C) 2014 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.SingleValueCategoryModel;

/**
 * A model implementation for pie chart
 * @author jumperchen
 *
 */
public class PiePlotImpl extends PlotEngineImpl {
	public PiePlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof SingleValueCategoryModel) {
			return drawSingleValueCategoryModel((SingleValueCategoryModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
